<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:13 CEST 2014 -->
<title>CPMCall</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="CPMCall";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CPMCall.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/cpm/task/CPMCall.html" target="_top">Frames</a></li>
<li><a href="CPMCall.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.lang.Thread">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.cpm.task</div>
<h2 title="Class CPMCall" class="title">Class CPMCall</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.lang.Thread</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">fr.inria.alpage.cpm.task.CPMTaskUnit</a></li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.cpm.task.CPMCall</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Runnable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">CPMCall</span>
extends <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></pre>
<div class="block">This class is used to call java method as a task unit</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.lang.Thread</h3>
<code>java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.ArrayList&lt;java.lang.Object&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#args">args</a></strong></code>
<div class="block">List of arguments to be passed to the function (optional)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#function">function</a></strong></code>
<div class="block">Method name to be called (belongs to the class <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Corpus</code></a></div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#refObjectId">refObjectId</a></strong></code>
<div class="block">Corpus id reference</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_fr.inria.alpage.cpm.task.CPMTaskUnit">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;fr.inria.alpage.cpm.task.<a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></h3>
<code><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#index">index</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#taskId">taskId</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#taskUnitObject">taskUnitObject</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.lang.Thread</h3>
<code>MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#CPMCall(java.lang.String,%20com.mongodb.BasicDBObject)">CPMCall</a></strong>(java.lang.String&nbsp;taskId,
       com.mongodb.BasicDBObject&nbsp;obj)</code>
<div class="block">Constructor (passing definition as a jsonobject)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#CPMCall(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.util.ArrayList)">CPMCall</a></strong>(java.lang.String&nbsp;taskId,
       java.lang.String&nbsp;corpus_ref,
       java.lang.String&nbsp;method,
       java.util.ArrayList&lt;java.lang.Object&gt;&nbsp;args)</code>
<div class="block">Constructor</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#convertAllFileInDir(java.lang.String)">convertAllFileInDir</a></strong>(java.lang.String&nbsp;dir)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String[]</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#riocExec(java.lang.String)">riocExec</a></strong>(java.lang.String&nbsp;command)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/cpm/task/CPMCall.html#run()">run</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_fr.inria.alpage.cpm.task.CPMTaskUnit">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;fr.inria.alpage.cpm.task.<a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html" title="class in fr.inria.alpage.cpm.task">CPMTaskUnit</a></h3>
<code><a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#create(com.mongodb.BasicDBObject,%20org.bson.types.ObjectId,%20int)">create</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getErr(com.mongodb.BasicDBObject)">getErr</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getOutput(com.mongodb.BasicDBObject)">getOutput</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getStatus()">getStatus</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#getTaskObject()">getTaskObject</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#updateStatus(java.lang.String)">updateStatus</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader)">writeOutput</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.StringBuffer,%20java.lang.StringBuffer)">writeOutput</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.io.BufferedReader,%20java.io.BufferedReader,%20java.lang.String,%20java.lang.String)">writeOutput</a>, <a href="../../../../../fr/inria/alpage/cpm/task/CPMTaskUnit.html#writeOutput(java.lang.String,%20java.lang.String)">writeOutput</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Thread">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Thread</h3>
<code>activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="refObjectId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>refObjectId</h4>
<pre>public&nbsp;java.lang.String refObjectId</pre>
<div class="block">Corpus id reference</div>
</li>
</ul>
<a name="function">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>function</h4>
<pre>public&nbsp;java.lang.String function</pre>
<div class="block">Method name to be called (belongs to the class <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Corpus</code></a></div>
</li>
</ul>
<a name="args">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>args</h4>
<pre>public&nbsp;java.util.ArrayList&lt;java.lang.Object&gt; args</pre>
<div class="block">List of arguments to be passed to the function (optional)</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="CPMCall(java.lang.String, java.lang.String, java.lang.String, java.util.ArrayList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CPMCall</h4>
<pre>public&nbsp;CPMCall(java.lang.String&nbsp;taskId,
       java.lang.String&nbsp;corpus_ref,
       java.lang.String&nbsp;method,
       java.util.ArrayList&lt;java.lang.Object&gt;&nbsp;args)</pre>
<div class="block">Constructor</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskId</code> - the task id <a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><code>CPMTask</code></a> in which this task unit belongs to</dd><dd><code>corpus_ref</code> - the corpus id <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Corpus</code></a> over which the taskunit will process</dd><dd><code>method</code> - the java method name (declared in the class Corpus or in this class) which will be called</dd><dd><code>args</code> - optional array of arguments passed to the method</dd></dl>
</li>
</ul>
<a name="CPMCall(java.lang.String, com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>CPMCall</h4>
<pre>public&nbsp;CPMCall(java.lang.String&nbsp;taskId,
       com.mongodb.BasicDBObject&nbsp;obj)</pre>
<div class="block">Constructor (passing definition as a jsonobject)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>taskId</code> - the task id <a href="../../../../../fr/inria/alpage/cpm/task/CPMTask.html" title="class in fr.inria.alpage.cpm.task"><code>CPMTask</code></a> in which this task unit belongs to</dd><dd><code>obj</code> - the object defining the taskunit. Must contain the properties "command" and "refObjectId" (if command belongs to the class <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Corpus.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Corpus</code></a>)</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="run()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>run</h4>
<pre>public&nbsp;void&nbsp;run()</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>run</code>&nbsp;in interface&nbsp;<code>java.lang.Runnable</code></dd>
<dt><strong>Overrides:</strong></dt>
<dd><code>run</code>&nbsp;in class&nbsp;<code>java.lang.Thread</code></dd>
</dl>
</li>
</ul>
<a name="riocExec(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>riocExec</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;riocExec(java.lang.String&nbsp;command)</pre>
</li>
</ul>
<a name="convertAllFileInDir(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convertAllFileInDir</h4>
<pre>public&nbsp;java.lang.String[]&nbsp;convertAllFileInDir(java.lang.String&nbsp;dir)
                                       throws java.lang.Exception</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/CPMCall.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../../fr/inria/alpage/cpm/task/CPMCommand.html" title="class in fr.inria.alpage.cpm.task"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/cpm/task/CPMCall.html" target="_top">Frames</a></li>
<li><a href="CPMCall.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_java.lang.Thread">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
